/*Copyright (C) 2010 Deveaux Duncan

This file is part of Hikou no mizu.

Hikou no mizu is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Hikou no mizu is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Hikou no mizu.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef DEF_CONDITION
#define DEF_CONDITION

//Class providing access to player actual conditions.
class Condition
{
    public:
        Condition();
        void setAttack(bool attack);
        bool isAttacking() const;
        
        void setJump(bool jump);
        bool isJumping() const;
        
        void setMove(bool move);
        bool isMoving() const;
    
    private:
        bool m_attack;
        bool m_jump;
        bool m_move;
};

#endif